package de.ivu.elect.business.veranstaltung.boundary;

import javax.ejb.Stateless;

import de.ivu.elect.business.veranstaltung.entity.Veranstaltung;

@Stateless
public class VeranstaltungEdit extends AbstractVeranstaltungEdit {

  @Override
  public void save(Veranstaltung entity) {

    if (!entity.getVeranstaltungArt().isSchulung()) {
      entity.setSchulungArt(null);
    }

    super.save(entity);
  }
}
